Rename an organization
PATCH
/organizations/{org_id}
const url = 'https://api.perstat.io/organizations/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.perstat.io/organizations/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'Renames the organization. Note that the URL slug is re-derived from the new name as a side effect and deduplicated across the owner’s organizations. Requires organization management rights.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org_id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
Examplegenerated
{ "name": "example"}Responses
Section titled “Responses”Media typeapplication/json
object
id
required
string
name
required
string
slug
required
string
Examplegenerated
{ "id": "example", "name": "example", "slug": "example"}